package cn.com.qmth.examcloud.exchange.outer.api.controller.swufe.bean;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

/**
 * @author chenken
 * @date 2018年5月2日 下午3:44:54
 * @company QMTH
 * @description ExamReq.java
 */
public class ExamReq implements JsonSerializable {

	private static final long serialVersionUID = -4675668482972680269L;

	/**
	 * 机构ID
	 */
	private Long rootOrgId;

	/**
	 * 考试名称
	 */
	private String name;

	/**
	 * 考试类型
	 */
	private String examType;

	/**
	 * 考试开始时间
	 */
	private String beginTime;

	/**
	 * 考试结束时间
	 */
	private String endTime;

	/**
	 * 考试时长(分钟)
	 */
	private Integer duration;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getExamType() {
		return examType;
	}

	public void setExamType(String examType) {
		this.examType = examType;
	}

	public String getBeginTime() {
		return beginTime;
	}

	public void setBeginTime(String beginTime) {
		this.beginTime = beginTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public Integer getDuration() {
		return duration;
	}

	public void setDuration(Integer duration) {
		this.duration = duration;
	}

}
