package cn.com.qmth.examcloud.exchange.outer.api.request;

import cn.com.qmth.examcloud.commons.web.cloud.api.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年11月16日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class OuterGetExamReq extends BaseRequest {

	private static final long serialVersionUID = -2827676106721670081L;

	@ApiModelProperty(value = "考试ID", example = "128", required = true)
	private Long id;

	@ApiModelProperty(value = "顶级机构", example = "0", required = true)
	private Long rootOrgId;

	@ApiModelProperty(value = "考试名称", example = "2018年6月期末考试", required = true)
	private String name;

	@ApiModelProperty(value = "机构ID(机构特殊配置不为空时覆盖考试信息)", example = "1111", required = false)
	private Long orgId;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

}
