package cn.com.qmth.examcloud.exchange.outer.api.response;

import java.util.List;

import cn.com.qmth.examcloud.commons.web.cloud.api.BaseResponse;
import cn.com.qmth.examcloud.exchange.outer.api.bean.OuterGetCapturePhotoBean;
import io.swagger.annotations.ApiModelProperty;

public class OuterQueryCapturePhotoResp extends BaseResponse{

	/**
	 * 
	 */
	private static final long serialVersionUID = -1332579670294448864L;

	@ApiModelProperty(value = "考试记录ID", example = "128", required = true)
	private Long examRecordDataId;
	
	@ApiModelProperty(value = "抓拍照片数据集合", example = "", required = true)
	private List<OuterGetCapturePhotoBean> capturePhotoList;
	
	public Long getExamRecordDataId() {
		return examRecordDataId;
	}

	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}

	public List<OuterGetCapturePhotoBean> getCapturePhotoList() {
		return capturePhotoList;
	}

	public void setCapturePhotoList(List<OuterGetCapturePhotoBean> capturePhotoList) {
		this.capturePhotoList = capturePhotoList;
	}
	
}
