package cn.com.qmth.examcloud.exchange.outer.api.response.cug;

import java.util.List;

import cn.com.qmth.examcloud.commons.web.cloud.api.BaseResponse;
import io.swagger.annotations.ApiModelProperty;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年11月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class SaveCugStudentAndExamStudentResp extends BaseResponse {

	private static final long serialVersionUID = -7321764983963904493L;

	@ApiModelProperty(value = "学生ID", example = "500", required = true)
	private Long studentId;

	@ApiModelProperty(value = "顶级机构ID", example = "0", required = true)
	private Long rootOrgId;

	@ApiModelProperty(value = "学习中心ID", example = "0", required = true)
	private Long orgId;

	@ApiModelProperty(value = "学习中心名称", example = "0", required = true)
	private String orgName;

	@ApiModelProperty(value = "考生ID集合", required = true)
	private List<Long> examStudentIdList;

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public List<Long> getExamStudentIdList() {
		return examStudentIdList;
	}

	public void setExamStudentIdList(List<Long> examStudentIdList) {
		this.examStudentIdList = examStudentIdList;
	}

}
