package cn.com.qmth.examcloud.exchange.base.response;

public class BaseResponse implements IBaseResponse {
    /**
     * 是否成功
     */
    protected boolean success;


    /**
     * 返回消息
     */
    protected String message;

    /**
     * 返回数据
     */
    protected Object data;


    public BaseResponse(boolean success) {
        this.success = success;
    }

    public BaseResponse(boolean success, String message) {
        this.success = success;
        this.message = message;
    }

    public BaseResponse(boolean success, Object data) {
        this.success = success;
        this.data = data;
    }

    public BaseResponse(boolean success, String message, Object data) {
        this.success = success;
        this.message = message;
        this.data = data;
    }


//    public BaseResponse(boolean success, ResponseMsgEnum responseMsgEnum, Object data) {
//        this.success = success;
//        this.status = responseMsgEnum.getStatus();
//        this.message = responseMsgEnum.getMessage();
//        this.data = data;
//    }
//
//    public BaseResponse(boolean success, ResponseMsgEnum responseMsgEnum) {
//        this.success = success;
//        this.status = responseMsgEnum.getStatus();
//        this.message = responseMsgEnum.getMessage();
//    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }
}
