package cn.com.qmth.examcloud.exchange.base.response;

public class SuccessBaseResponse implements IBaseResponse {


    public SuccessBaseResponse(String message, Object data) {
        this.message = message;
        this.data = data;
    }

    /**
     * 返回消息
     */
    protected String message;

    /**
     * 返回数据
     */
    protected Object data;


    @Override
    public boolean isSuccess() {
        return true;
    }

    @Override
    public String getMessage() {
        return this.message;
    }

    @Override
    public Object getData() {
        return this.data;
    }
}
