package cn.com.qmth.examcloud.exchange.outer.api.bean;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

/**
 * 
 * @author  	chenken
 * @date    	2018年11月16日 下午1:50:02
 * @company 	QMTH
 * @description OuterGetCapturePhotoBean.java
 */
@ApiModel(value = "capturePhotoBean", description = "抓拍照片信息")
public class OuterGetCapturePhotoBean implements JsonSerializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 2867275034372864464L;
	
	@ApiModelProperty(value = "文件URL", example = "https://ecs-XXX.qmth.com.cn/capture_photo/XXX/XXX.jpg", required = true)
    private String fileUrl;
    
	@ApiModelProperty(value = "人脸比对是否通过", example = "true", required = true)
    private Boolean isPass;
    
	@ApiModelProperty(value = "人脸比对是否有陌生人脸", example = "false", required = true)
    private Boolean isStranger;
    
	@ApiModelProperty(value = "人脸真实性是否通过", example = "true", required = true)
    private Boolean isLivenessPass;
	
	public String getFileUrl() {
		return fileUrl;
	}
	public void setFileUrl(String fileUrl) {
		this.fileUrl = fileUrl;
	}
	public Boolean getIsPass() {
		return isPass;
	}
	public void setIsPass(Boolean isPass) {
		this.isPass = isPass;
	}
	public Boolean getIsStranger() {
		return isStranger;
	}
	public void setIsStranger(Boolean isStranger) {
		this.isStranger = isStranger;
	}
	public Boolean getIsLivenessPass() {
		return isLivenessPass;
	}
	public void setIsLivenessPass(Boolean isLivenessPass) {
		this.isLivenessPass = isLivenessPass;
	}
	
}
