package cn.com.qmth.examcloud.exchange.outer.api.request;

import cn.com.qmth.examcloud.commons.web.cloud.api.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * 
 * @author  	chenken
 * @date    	2018年11月16日 上午11:35:15
 * @company 	QMTH
 * @description OuterGetCapturePhotoReq.java
 */
public class OuterQueryCapturePhotoReq extends BaseRequest{

	/**
	 * 
	 */
	private static final long serialVersionUID = -3913911619514532603L;
	
	@ApiModelProperty(value = "顶级机构", example = "0", required = true)
	private Long rootOrgId;
	
	@ApiModelProperty(value = "考试记录ID", example = "1", required = true)
	private Long examRecordDataId;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getExamRecordDataId() {
		return examRecordDataId;
	}

	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}
	
}
